<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_67) on Wed Sep 10 14:57:28 CEST 2014 -->
<title>Uses of Class org.java_websocket.drafts.Draft</title>
<meta name="date" content="2014-09-10">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Uses of Class org.java_websocket.drafts.Draft";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/java_websocket/drafts/class-use/Draft.html" target="_top">Frames</a></li>
<li><a href="Draft.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class org.java_websocket.drafts.Draft" class="title">Uses of Class<br>org.java_websocket.drafts.Draft</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.java_websocket">org.java_websocket</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.java_websocket.client">org.java_websocket.client</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.java_websocket.drafts">org.java_websocket.drafts</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.java_websocket.server">org.java_websocket.server</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.java_websocket">
<!--   -->
</a>
<h3>Uses of <a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a> in <a href="../../../../org/java_websocket/package-summary.html">org.java_websocket</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../org/java_websocket/package-summary.html">org.java_websocket</a> declared as <a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a></code></td>
<td class="colLast"><span class="strong">WebSocketImpl.</span><code><strong><a href="../../../../org/java_websocket/WebSocketImpl.html#draft">draft</a></strong></code>&nbsp;</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../org/java_websocket/package-summary.html">org.java_websocket</a> with type parameters of type <a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static java.util.List&lt;<a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&gt;</code></td>
<td class="colLast"><span class="strong">WebSocketImpl.</span><code><strong><a href="../../../../org/java_websocket/WebSocketImpl.html#defaultdraftlist">defaultdraftlist</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.List&lt;<a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&gt;</code></td>
<td class="colLast"><span class="strong">WebSocketImpl.</span><code><strong><a href="../../../../org/java_websocket/WebSocketImpl.html#knownDrafts">knownDrafts</a></strong></code>&nbsp;</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../org/java_websocket/package-summary.html">org.java_websocket</a> that return <a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a></code></td>
<td class="colLast"><span class="strong">WebSocketImpl.</span><code><strong><a href="../../../../org/java_websocket/WebSocketImpl.html#getDraft()">getDraft</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a></code></td>
<td class="colLast"><span class="strong">WebSocket.</span><code><strong><a href="../../../../org/java_websocket/WebSocket.html#getDraft()">getDraft</a></strong>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../org/java_websocket/package-summary.html">org.java_websocket</a> with parameters of type <a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a></code></td>
<td class="colLast"><span class="strong">WebSocketFactory.</span><code><strong><a href="../../../../org/java_websocket/WebSocketFactory.html#createWebSocket(org.java_websocket.WebSocketAdapter,%20org.java_websocket.drafts.Draft,%20java.net.Socket)">createWebSocket</a></strong>(<a href="../../../../org/java_websocket/WebSocketAdapter.html" title="class in org.java_websocket">WebSocketAdapter</a>&nbsp;a,
               <a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&nbsp;d,
               java.net.Socket&nbsp;s)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/java_websocket/handshake/ServerHandshakeBuilder.html" title="interface in org.java_websocket.handshake">ServerHandshakeBuilder</a></code></td>
<td class="colLast"><span class="strong">WebSocketListener.</span><code><strong><a href="../../../../org/java_websocket/WebSocketListener.html#onWebsocketHandshakeReceivedAsServer(org.java_websocket.WebSocket,%20org.java_websocket.drafts.Draft,%20org.java_websocket.handshake.ClientHandshake)">onWebsocketHandshakeReceivedAsServer</a></strong>(<a href="../../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                                    <a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&nbsp;draft,
                                    <a href="../../../../org/java_websocket/handshake/ClientHandshake.html" title="interface in org.java_websocket.handshake">ClientHandshake</a>&nbsp;request)</code>
<div class="block">Called on the server side when the socket connection is first established, and the WebSocket
 handshake has been received.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/java_websocket/handshake/ServerHandshakeBuilder.html" title="interface in org.java_websocket.handshake">ServerHandshakeBuilder</a></code></td>
<td class="colLast"><span class="strong">WebSocketAdapter.</span><code><strong><a href="../../../../org/java_websocket/WebSocketAdapter.html#onWebsocketHandshakeReceivedAsServer(org.java_websocket.WebSocket,%20org.java_websocket.drafts.Draft,%20org.java_websocket.handshake.ClientHandshake)">onWebsocketHandshakeReceivedAsServer</a></strong>(<a href="../../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                                    <a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&nbsp;draft,
                                    <a href="../../../../org/java_websocket/handshake/ClientHandshake.html" title="interface in org.java_websocket.handshake">ClientHandshake</a>&nbsp;request)</code>
<div class="block">This default implementation does not do anything.</div>
</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../../org/java_websocket/package-summary.html">org.java_websocket</a> with type arguments of type <a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a></code></td>
<td class="colLast"><span class="strong">WebSocketFactory.</span><code><strong><a href="../../../../org/java_websocket/WebSocketFactory.html#createWebSocket(org.java_websocket.WebSocketAdapter,%20java.util.List,%20java.net.Socket)">createWebSocket</a></strong>(<a href="../../../../org/java_websocket/WebSocketAdapter.html" title="class in org.java_websocket">WebSocketAdapter</a>&nbsp;a,
               java.util.List&lt;<a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&gt;&nbsp;drafts,
               java.net.Socket&nbsp;s)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../org/java_websocket/package-summary.html">org.java_websocket</a> with parameters of type <a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><strong><a href="../../../../org/java_websocket/WebSocketImpl.html#WebSocketImpl(org.java_websocket.WebSocketListener,%20org.java_websocket.drafts.Draft)">WebSocketImpl</a></strong>(<a href="../../../../org/java_websocket/WebSocketListener.html" title="interface in org.java_websocket">WebSocketListener</a>&nbsp;listener,
             <a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&nbsp;draft)</code>
<div class="block">crates a websocket with client role</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><strong><a href="../../../../org/java_websocket/WebSocketImpl.html#WebSocketImpl(org.java_websocket.WebSocketListener,%20org.java_websocket.drafts.Draft,%20java.net.Socket)">WebSocketImpl</a></strong>(<a href="../../../../org/java_websocket/WebSocketListener.html" title="interface in org.java_websocket">WebSocketListener</a>&nbsp;listener,
             <a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&nbsp;draft,
             java.net.Socket&nbsp;socket)</code>
<div class="block"><strong>Deprecated.</strong>&nbsp;</div>
</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructor parameters in <a href="../../../../org/java_websocket/package-summary.html">org.java_websocket</a> with type arguments of type <a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><strong><a href="../../../../org/java_websocket/WebSocketImpl.html#WebSocketImpl(org.java_websocket.WebSocketListener,%20java.util.List)">WebSocketImpl</a></strong>(<a href="../../../../org/java_websocket/WebSocketListener.html" title="interface in org.java_websocket">WebSocketListener</a>&nbsp;listener,
             java.util.List&lt;<a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&gt;&nbsp;drafts)</code>
<div class="block">crates a websocket with server role</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><strong><a href="../../../../org/java_websocket/WebSocketImpl.html#WebSocketImpl(org.java_websocket.WebSocketListener,%20java.util.List,%20java.net.Socket)">WebSocketImpl</a></strong>(<a href="../../../../org/java_websocket/WebSocketListener.html" title="interface in org.java_websocket">WebSocketListener</a>&nbsp;listener,
             java.util.List&lt;<a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&gt;&nbsp;drafts,
             java.net.Socket&nbsp;socket)</code>
<div class="block"><strong>Deprecated.</strong>&nbsp;</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.java_websocket.client">
<!--   -->
</a>
<h3>Uses of <a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a> in <a href="../../../../org/java_websocket/client/package-summary.html">org.java_websocket.client</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../org/java_websocket/client/package-summary.html">org.java_websocket.client</a> declared as <a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a></code></td>
<td class="colLast"><span class="strong">WebSocketClient.</span><code><strong><a href="../../../../org/java_websocket/client/WebSocketClient.html#draft">draft</a></strong></code>&nbsp;</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../org/java_websocket/client/package-summary.html">org.java_websocket.client</a> that return <a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a></code></td>
<td class="colLast"><span class="strong">WebSocketClient.</span><code><strong><a href="../../../../org/java_websocket/client/WebSocketClient.html#getDraft()">getDraft</a></strong>()</code>
<div class="block">Returns the protocol version this channel uses.<br>
 For more infos see https://github.com/TooTallNate/Java-WebSocket/wiki/Drafts</div>
</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../org/java_websocket/client/package-summary.html">org.java_websocket.client</a> with parameters of type <a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><strong><a href="../../../../org/java_websocket/client/WebSocketClient.html#WebSocketClient(java.net.URI,%20org.java_websocket.drafts.Draft)">WebSocketClient</a></strong>(java.net.URI&nbsp;serverUri,
               <a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&nbsp;draft)</code>
<div class="block">Constructs a WebSocketClient instance and sets it to the connect to the
 specified URI.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><strong><a href="../../../../org/java_websocket/client/WebSocketClient.html#WebSocketClient(java.net.URI,%20org.java_websocket.drafts.Draft,%20java.util.Map,%20int)">WebSocketClient</a></strong>(java.net.URI&nbsp;serverUri,
               <a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&nbsp;protocolDraft,
               java.util.Map&lt;java.lang.String,java.lang.String&gt;&nbsp;httpHeaders,
               int&nbsp;connectTimeout)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.java_websocket.drafts">
<!--   -->
</a>
<h3>Uses of <a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a> in <a href="../../../../org/java_websocket/drafts/package-summary.html">org.java_websocket.drafts</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a> in <a href="../../../../org/java_websocket/drafts/package-summary.html">org.java_websocket.drafts</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/java_websocket/drafts/Draft_10.html" title="class in org.java_websocket.drafts">Draft_10</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/java_websocket/drafts/Draft_17.html" title="class in org.java_websocket.drafts">Draft_17</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/java_websocket/drafts/Draft_75.html" title="class in org.java_websocket.drafts">Draft_75</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/java_websocket/drafts/Draft_76.html" title="class in org.java_websocket.drafts">Draft_76</a></strong></code>&nbsp;</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../org/java_websocket/drafts/package-summary.html">org.java_websocket.drafts</a> that return <a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>abstract <a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a></code></td>
<td class="colLast"><span class="strong">Draft.</span><code><strong><a href="../../../../org/java_websocket/drafts/Draft.html#copyInstance()">copyInstance</a></strong>()</code>
<div class="block">Drafts must only be by one websocket at all.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a></code></td>
<td class="colLast"><span class="strong">Draft_76.</span><code><strong><a href="../../../../org/java_websocket/drafts/Draft_76.html#copyInstance()">copyInstance</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a></code></td>
<td class="colLast"><span class="strong">Draft_75.</span><code><strong><a href="../../../../org/java_websocket/drafts/Draft_75.html#copyInstance()">copyInstance</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a></code></td>
<td class="colLast"><span class="strong">Draft_17.</span><code><strong><a href="../../../../org/java_websocket/drafts/Draft_17.html#copyInstance()">copyInstance</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a></code></td>
<td class="colLast"><span class="strong">Draft_10.</span><code><strong><a href="../../../../org/java_websocket/drafts/Draft_10.html#copyInstance()">copyInstance</a></strong>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.java_websocket.server">
<!--   -->
</a>
<h3>Uses of <a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a> in <a href="../../../../org/java_websocket/server/package-summary.html">org.java_websocket.server</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../org/java_websocket/server/package-summary.html">org.java_websocket.server</a> with type parameters of type <a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private java.util.List&lt;<a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&gt;</code></td>
<td class="colLast"><span class="strong">WebSocketServer.</span><code><strong><a href="../../../../org/java_websocket/server/WebSocketServer.html#drafts">drafts</a></strong></code>
<div class="block">The Draft of the WebSocket protocol the Server is adhering to.</div>
</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../org/java_websocket/server/package-summary.html">org.java_websocket.server</a> that return types with arguments of type <a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&gt;</code></td>
<td class="colLast"><span class="strong">WebSocketServer.</span><code><strong><a href="../../../../org/java_websocket/server/WebSocketServer.html#getDraft()">getDraft</a></strong>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../org/java_websocket/server/package-summary.html">org.java_websocket.server</a> with parameters of type <a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/java_websocket/WebSocketImpl.html" title="class in org.java_websocket">WebSocketImpl</a></code></td>
<td class="colLast"><span class="strong">DefaultSSLWebSocketServerFactory.</span><code><strong><a href="../../../../org/java_websocket/server/DefaultSSLWebSocketServerFactory.html#createWebSocket(org.java_websocket.WebSocketAdapter,%20org.java_websocket.drafts.Draft,%20java.net.Socket)">createWebSocket</a></strong>(<a href="../../../../org/java_websocket/WebSocketAdapter.html" title="class in org.java_websocket">WebSocketAdapter</a>&nbsp;a,
               <a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&nbsp;d,
               java.net.Socket&nbsp;c)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/java_websocket/WebSocketImpl.html" title="class in org.java_websocket">WebSocketImpl</a></code></td>
<td class="colLast"><span class="strong">DefaultWebSocketServerFactory.</span><code><strong><a href="../../../../org/java_websocket/server/DefaultWebSocketServerFactory.html#createWebSocket(org.java_websocket.WebSocketAdapter,%20org.java_websocket.drafts.Draft,%20java.net.Socket)">createWebSocket</a></strong>(<a href="../../../../org/java_websocket/WebSocketAdapter.html" title="class in org.java_websocket">WebSocketAdapter</a>&nbsp;a,
               <a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&nbsp;d,
               java.net.Socket&nbsp;s)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/java_websocket/WebSocketImpl.html" title="class in org.java_websocket">WebSocketImpl</a></code></td>
<td class="colLast"><span class="strong">WebSocketServer.WebSocketServerFactory.</span><code><strong><a href="../../../../org/java_websocket/server/WebSocketServer.WebSocketServerFactory.html#createWebSocket(org.java_websocket.WebSocketAdapter,%20org.java_websocket.drafts.Draft,%20java.net.Socket)">createWebSocket</a></strong>(<a href="../../../../org/java_websocket/WebSocketAdapter.html" title="class in org.java_websocket">WebSocketAdapter</a>&nbsp;a,
               <a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&nbsp;d,
               java.net.Socket&nbsp;s)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/java_websocket/handshake/ServerHandshakeBuilder.html" title="interface in org.java_websocket.handshake">ServerHandshakeBuilder</a></code></td>
<td class="colLast"><span class="strong">WebSocketServer.</span><code><strong><a href="../../../../org/java_websocket/server/WebSocketServer.html#onWebsocketHandshakeReceivedAsServer(org.java_websocket.WebSocket,%20org.java_websocket.drafts.Draft,%20org.java_websocket.handshake.ClientHandshake)">onWebsocketHandshakeReceivedAsServer</a></strong>(<a href="../../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&nbsp;conn,
                                    <a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&nbsp;draft,
                                    <a href="../../../../org/java_websocket/handshake/ClientHandshake.html" title="interface in org.java_websocket.handshake">ClientHandshake</a>&nbsp;request)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../../org/java_websocket/server/package-summary.html">org.java_websocket.server</a> with type arguments of type <a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/java_websocket/WebSocketImpl.html" title="class in org.java_websocket">WebSocketImpl</a></code></td>
<td class="colLast"><span class="strong">DefaultSSLWebSocketServerFactory.</span><code><strong><a href="../../../../org/java_websocket/server/DefaultSSLWebSocketServerFactory.html#createWebSocket(org.java_websocket.WebSocketAdapter,%20java.util.List,%20java.net.Socket)">createWebSocket</a></strong>(<a href="../../../../org/java_websocket/WebSocketAdapter.html" title="class in org.java_websocket">WebSocketAdapter</a>&nbsp;a,
               java.util.List&lt;<a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&gt;&nbsp;d,
               java.net.Socket&nbsp;s)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/java_websocket/WebSocketImpl.html" title="class in org.java_websocket">WebSocketImpl</a></code></td>
<td class="colLast"><span class="strong">DefaultWebSocketServerFactory.</span><code><strong><a href="../../../../org/java_websocket/server/DefaultWebSocketServerFactory.html#createWebSocket(org.java_websocket.WebSocketAdapter,%20java.util.List,%20java.net.Socket)">createWebSocket</a></strong>(<a href="../../../../org/java_websocket/WebSocketAdapter.html" title="class in org.java_websocket">WebSocketAdapter</a>&nbsp;a,
               java.util.List&lt;<a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&gt;&nbsp;d,
               java.net.Socket&nbsp;s)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/java_websocket/WebSocketImpl.html" title="class in org.java_websocket">WebSocketImpl</a></code></td>
<td class="colLast"><span class="strong">WebSocketServer.WebSocketServerFactory.</span><code><strong><a href="../../../../org/java_websocket/server/WebSocketServer.WebSocketServerFactory.html#createWebSocket(org.java_websocket.WebSocketAdapter,%20java.util.List,%20java.net.Socket)">createWebSocket</a></strong>(<a href="../../../../org/java_websocket/WebSocketAdapter.html" title="class in org.java_websocket">WebSocketAdapter</a>&nbsp;a,
               java.util.List&lt;<a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&gt;&nbsp;drafts,
               java.net.Socket&nbsp;s)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructor parameters in <a href="../../../../org/java_websocket/server/package-summary.html">org.java_websocket.server</a> with type arguments of type <a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><strong><a href="../../../../org/java_websocket/server/WebSocketServer.html#WebSocketServer(java.net.InetSocketAddress,%20int,%20java.util.List)">WebSocketServer</a></strong>(java.net.InetSocketAddress&nbsp;address,
               int&nbsp;decodercount,
               java.util.List&lt;<a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&gt;&nbsp;drafts)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><strong><a href="../../../../org/java_websocket/server/WebSocketServer.html#WebSocketServer(java.net.InetSocketAddress,%20int,%20java.util.List,%20java.util.Collection)">WebSocketServer</a></strong>(java.net.InetSocketAddress&nbsp;address,
               int&nbsp;decodercount,
               java.util.List&lt;<a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&gt;&nbsp;drafts,
               java.util.Collection&lt;<a href="../../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a>&gt;&nbsp;connectionscontainer)</code>
<div class="block">Creates a WebSocketServer that will attempt to bind/listen on the given <var>address</var>,
 and comply with <tt>Draft</tt> version <var>draft</var>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><strong><a href="../../../../org/java_websocket/server/WebSocketServer.html#WebSocketServer(java.net.InetSocketAddress,%20java.util.List)">WebSocketServer</a></strong>(java.net.InetSocketAddress&nbsp;address,
               java.util.List&lt;<a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&gt;&nbsp;drafts)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/java_websocket/drafts/class-use/Draft.html" target="_top">Frames</a></li>
<li><a href="Draft.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
